import { registerTokenizer, setColorMap } from './tokenizer.js';
import { loadDocs, registerDocsRelatedLanguageProviders } from './docs.js';
import { LANGUAGE_ID } from './constant.js';
export async function registerDolphinDBLanguage(monaco, options) {
    const { languages } = monaco;
    languages.register({ id: LANGUAGE_ID });
    const loadDocsPromise = loadDocs(options.docs).catch((err) => {
        console.error('[monaco-dolphindb] load docs failed, please check option', err);
    });
    await registerTokenizer(languages);
    setColorMap(monaco, options?.theme ?? 'light');
    registerDocsRelatedLanguageProviders(monaco);
    await loadDocsPromise;
}
//# sourceMappingURL=index.js.map