import { EditorProps } from '@monaco-editor/react';
import type * as Monaco from 'monaco-editor';
import { RegisterDolphinDBLanguageOptions } from '../index';
interface IMonacoDolphinDBEditorProps extends EditorProps {
    /** 只会触发在 monaco 初始化完成前渲染的组件的，完成后创建组件 */
    onMonacoInit?: (monaco: typeof Monaco) => void;
    /** 初始化前的 hook，你可以加载或配置 monaco 需要的资源（wasm） */
    beforeInit?: () => Promise<void> | void;
    /** 初始化前的 hook，你可以加载或配置 monaco 需要的资源（wasm） */
    dolphinDBLanguageOptions: RegisterDolphinDBLanguageOptions;
}
export declare function MonacoDolphinDBEditor({ onMonacoInit, beforeInit, onMount, options, dolphinDBLanguageOptions, ...restProps }: IMonacoDolphinDBEditorProps): import("react/jsx-runtime").JSX.Element;
export {};
